## opencpn-plugin-otcurrent 1.1.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Dave Register
##***************************************************************************
## *   Copyright (C) 2010 by David S. Register                               *
## *   This program is free software; you can redistribute it and/or modify  *
## *   it under the terms of the GNU General Public License as published by  *
## *   the Free Software Foundation; either version 2 of the License, or     *
## *   (at your option) any later version.                                   *
## *                                                                         *
## *   This program is distributed in the hope that it will be useful,       *
## *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
## *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
## *   GNU General Public License for more details.                          *
## *                                                                         *
## *   You should have received a copy of the GNU General Public License     *
## *   along with this program; if not, write to the                         *
## *   Free Software Foundation, Inc.,                                       *
## *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,  USA.             *
## ***************************************************************************

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(otcurrent_pi)

SET(PACKAGE_NAME otcurrent_pi)
SET(VERBOSE_NAME OTCurrent)
SET(TITLE_NAME OTCurrent)
SET(CPACK_PACKAGE_CONTACT "Mike Rossiter")

SET(VERSION_MAJOR "1")
SET(VERSION_MINOR "1")

#SET(CMAKE_BUILD_TYPE Debug)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_otcurrent
        src/bbox.cpp
        src/bbox.h
        src/otcurrent_pi.h
        src/otcurrent_pi.cpp
        src/otcurrentOverlayFactory.cpp
        src/otcurrentOverlayFactory.h
        src/otcurrentUIDialogBase.cpp
        src/otcurrentUIDialogBase.h
        src/otcurrentUIDialog.cpp
        src/otcurrentUIDialog.h
        src/icons.h
        src/icons.cpp
        src/tcmgr.cpp
        src/timectrl.cpp
        src/timectrl.h
        src/tcmgr.h
        src/tinystr.h
	src/tinyxml.h
    )


ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_otcurrent})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-otcurrent (1.1.0-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19. 

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 07:18:07 -0700

opencpn-plugin-otcurrent (1.1.0-0~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 07:13:02 -0700

opencpn-plugin-otcurrent (1.1.0-0~xenial1) xenial; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Feb 2016 18:59:19 -0600

opencpn-plugin-otcurrent (1.0.0-0~precise1) precise; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:32:34 -0500

opencpn-plugin-otcurrent (1.0.0-0~trusty1) trusty; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:32:34 -0500

opencpn-plugin-otcurrent (1.0.0-0~utopic1) utopic; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:32:34 -0500

opencpn-plugin-otcurrent (1.0.0-0~vivid1) vivid; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:32:34 -0500

opencpn-plugin-otcurrent (1.0.0-0~wily1) wily; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 12:32:34 -0500

=== debian/control ===
Source: opencpn-plugin-otcurrent
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 9), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-otcurrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n, opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
